* {
  margin: 0;
  padding: 0;
}


.menu-container {
  background: rgb(30, 30, 53);
  height: 60px;
}

.menu-list {
  a {
    text-decoration: none;
    font-size: 25px;
    color: white;
  }
}

@media (max-width: 991px) {
  .menu-container {
    display: flex;
    padding: 0 15px;
    justify-content: flex-end;
    align-items: center;
    position: relative;
  

    .hamburger-icon {
      width: 35px;
      height: 25px;
      display: flex;
      justify-content: space-between;
      flex-direction: column;
  
      span {
        height: 4px;
        width: 100%;
        background: white;
        display: block;
        border-radius: 10px;
      }
    }

    .menu-list {
      display: none;
    }
  }
  
  .menu-container.menu-open {
    .menu-list {
      z-index: 100;
      border: 2px solid black;
      width: 200px;
      padding-top: 210px;
      height: auto;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-content: left;
      text-align: center;
      background-color: #686a75;
      border-radius: 10px;

      a{
        padding-top:5px;
        padding-bottom: 5px;
      }
    }
  }
}

@media (min-width: 992px) { 
  .menu-container {
    display: flex;
    align-items: center;
    justify-content: center;

    .menu-list {
      height: 33px;
      min-width: 992px;
      display: flex;
      justify-content: space-between;

      a:hover {
        color: red;
      }
    }
  }

}


.body {
  height: 100vh;
}


@media (min-width: 500px) {

.main-header {
  height: 400px;
  width: 100%;
  background: url('https://esports.as.com/2018/03/16/reportajes/esports_1117998205_60112_1440x600.jpg') no-repeat;
  background-size: cover;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;

  &:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #00000061;
  }

  &:before {
    content: '';
  }

  .main-page-title {
    color: white;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    position: absolute;
    z-index: 1;
    font-size: 50px;
    text-align: center;
    -webkit-text-stroke: 2px black;
  }

}

}


@media (max-width: 500px) {
  .main-header {
    height: 150px;
    width: 100%;
    background: url('https://esports.as.com/2018/03/16/reportajes/esports_1117998205_60112_1440x600.jpg') no-repeat;
    background-size: cover;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
  
    &:after {
      content: '';
      position: absolute;
      width: 100%;
      height: 100%;
      background: #00000061;
    }
  
    &:before {
      content: '';
    }
  
    .main-page-title {
      color: white;
      font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
      position: absolute;
      z-index: 1;
      font-size: 30px;
      text-align: center;
      -webkit-text-stroke: 2px black;
    }
  
  }

}

@media (min-width: 500px) {
.lol-header {
  height: 400px;
  width: 100%;
  background: url('https://www.pcclean.io/wp-content/uploads/2019/04/559308.jpg') no-repeat;
  background-size: cover;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;

  &:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #00000061;
  }

  &:before {
    content: '';
  }

  .lol-page-title {
    color: white;
    font-family: Verdana;
    position: absolute;
    z-index: 1;
    font-size: 70px;
    text-align: center;
    -webkit-text-stroke: 2px black;
  }
}
}


@media (max-width: 500px) {

  .lol-header {
    height: 150px;
    width: 100%;
    background: url('https://www.pcclean.io/wp-content/uploads/2019/04/559308.jpg') no-repeat;
    background-size: cover;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
  
    &:after {
      content: '';
      position: absolute;
      width: 100%;
      height: 100%;
      background: #00000061;
    }
  
    &:before {
      content: '';
    }
  
    .lol-page-title {
      color: white;
      font-family: Verdana;
      position: absolute;
      z-index: 1;
      font-size: 30px;
      -webkit-text-stroke: 2px black;
    }
  }

}

main {
  display: flex;
  border: 3px solid black;
  background-color: rgb(243, 194, 134);

  .container-1 {
    width: 100%;
    display: flex;
    align-items: center;

    .text-container-1 {
      display: flex;
      flex-direction: column;
      align-items: center;

      p {
        text-align: justify;
        width: 85%;
        padding-bottom: 20px;
      }

    }

    .container-1-img {
      img {
        max-width: 450px;
        display: block;
      }

  }
}
}

.wrap {
  display: flex;
  border: 3px solid black;
  background: rgb(221, 121, 121);

  .container-2 {
    width: 100%;;
    display: flex;
    align-items: center;

    .text-container-2 {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 65%;

      p {
        text-align: justify;
        width: 80%;
        padding-bottom: 20px;
      }
    }

    .container-2-img {
      img {
        width: 100%;
        display: block;
      }
    }

    .container-3-img {
      img {
        max-width: 60%;
        display: block;
        margin: auto;
        padding-bottom: 20px;
      }
    }
  }
}

@media (max-width: 991px) {

  main {
    border: 2px solid black;
  
    .container-1 {
      width: 100%;
      display: block;
  
      .text-container-1 {
        align-items: center;
        width: 100%;
        padding-bottom: 20px;
  
        p {
          text-align: justify;
          width: 80%;
        }
      }
  
      .container-1-img {
        img {
          max-width: 100%;
          display: block;
        }
    }
  }
}

  .wrap {
    border: 2px solid black;
  
    .container-2 {
      width: 100%;
      display: block;
  
      .text-container-2 {
        align-items: center;
        width: 100%;
        padding-bottom: 20px;
  
        p {
          text-align: justify;
          width: 80%;
      }
    }
  
    .container-2-img {
        img {
          max-width: 100%;
          display: block;
        }
      }

      .container-3-img {
        img {
          max-width: 60%;
          display: block;
          margin: auto;
          padding-bottom: 20px;
        }
      }
    }
  }

}



h3 {
  margin: 15px;
  font-size: 25px;
}


.footer-container {
  background: rgb(30, 30, 53);
  height: 60px;
}

.footer-list {
  a {
    text-decoration: none;
    font-size: 25px;
    color: white;
  }

  p {
    text-decoration: none;
    font-size: 25px;
    color: white;
  }

}


.main-accordion-container {
  .accordion-item {
    background: #45486d;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid black;
    flex-direction: column;
    padding: 0 10px 0 10px;

    .accordion-desc {
      display: none;
      background: gray;
      padding: 10px;
      margin-top: 15px;
      width: 90%;
    }

    .accordion-title {
      color: rgb(169, 169, 204);
      font-family: Arial;
      font-size: 20px;
      width: 90%;
      display: flex;
      justify-content: center;
      padding: 20px;
      text-decoration-color: blanchedalmond;
    }

    &.tab-active {
      .accordion-desc {
        width: 70%;
        height: auto;
        display: flex;
        justify-content: center;
      }
    }
  }
}


@media (max-width:991px){
  .main-accordion-container {
    .accordion-item {
      background: #45486d;
      display: flex;
      align-items: center;
      justify-content: center;
      border: 2px solid black;
      flex-direction: column;
      padding: 0 10px 0 10px;
  
      .accordion-desc {
        width: 100%;
        display: none;
        background: gray;
        padding: 10px;
        margin-top: 15px;
      }
  
      .accordion-title {
        color: rgb(169, 169, 204);
        font-family: Arial;
        font-size: 20px;
        width: 100%;
        display: flex;
        justify-content: center;
        padding: 20px;
        text-decoration-color: blanchedalmond;
      }
  
      &.tab-active {
        .accordion-desc {
          width: 100%;
          height: auto;
          display: flex;
          text-align: justify;   
          }


        }
      }
    }
  }


.fortnite-accordion-container {
  .accordion-item {
    background: #45486d;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid black;
    flex-direction: column;
    padding: 0 10px 0 10px;

    .accordion-desc {
      display: none;
      background: gray;
      padding: 10px;
      margin-top: 15px;
    }

    .accordion-title {
      color: rgb(169, 169, 204);
      font-family: Arial;
      font-size: 20px;
      width: 100%;
      display: flex;
      justify-content: center;
      padding: 20px;
      text-decoration-color: blanchedalmond;
    }

    &.tab-active {
      .accordion-desc {
        width: 100%;
        height: auto;
        display: flex;
        justify-content: center;
        
      }


    }
  }
}

.card-list {
  display: flex;
  justify-content: space-around;
  margin-top: 20px;
  flex-wrap: wrap;

  .card-item {
    width: 27%;
    height: 400px;
    border-radius: 5px;
    padding-bottom: 10px;
    box-shadow: 2px 2px 11px -1px black;
    margin-bottom: 30px;
    display: flex;
    overflow: hidden;
    flex-direction: column;
    background: #FFFFFF;

    &:hover {
      transform: scale(1.05);
    }

    img {
      width: 100%;
      margin-bottom: 10px;
      max-height: 250px;
      min-height: 250px;
      display: flex;
    }

    .card-title {
      font-size: 18px;
      font-weight: bold;
      font-family: 'Helvetica';
      margin-bottom: 10px;
    }

    .card-info {
      padding: 0 10px;
      display: flex;
      flex-direction: column;
      flex: 1 0;
      justify-content: flex-end;
  
    }

    .card-desc {
      font-family: 'Helvetica';
      font-size: 14px;
    }

    .card-cta {
      text-decoration: none;
      display: block;
      text-align: right;
      font-family: 'Helvetica';
      font-size: 12px;
      border-top: solid 1px black;
      padding-top: 10px;
      margin-top: 30px;
    }
  }
}

@media (max-width:500px){
.card-list {
  display: flex;
  justify-content: space-around;
  margin-top: 20px;
  flex-wrap: wrap;

  .card-item {
    width: 90%;
    height: 350px;
    border-radius: 5px;
    padding-bottom: 10px;
    box-shadow: 2px 2px 11px -1px black;
    margin-bottom: 30px;
    display: flex;
    overflow: hidden;
    flex-direction: column;
    background: #FFFFFF;

    &:hover {
      transform: scale(1.05);
    }

    img {
      width: 100%;
      margin-bottom: 10px;
      max-height: 150px;
      min-height: 150px;
      display: flex;
    }

    .card-title {
      font-size: 18px;
      font-weight: bold;
      font-family: 'Helvetica';
      margin-bottom: 10px;
    }

    .card-info {
      padding: 0 10px;
      display: flex;
      flex-direction: column;
      flex: 1 0;
      justify-content: flex-end;
  
    }

    .card-desc {
      font-family: 'Helvetica';
      font-size: 14px;
    }

    .card-cta {
      text-decoration: none;
      display: block;
      text-align: right;
      font-family: 'Helvetica';
      font-size: 12px;
      border-top: solid 1px black;
      padding-top: 10px;
      margin-top: 30px;
    }
  }
}

}

@media (min-width:500px) and (max-width:991px){
  .card-list {
    display: flex;
    justify-content: space-around;
    margin-top: 20px;
    flex-wrap: wrap;
  
    .card-item {
      width: 45%;
      height: 350px;
      border-radius: 5px;
      padding-bottom: 10px;
      box-shadow: 2px 2px 11px -1px black;
      margin-bottom: 30px;
      display: flex;
      overflow: hidden;
      flex-direction: column;
      background: #FFFFFF;
  
      &:hover {
        transform: scale(1.05);
      }
  
      img {
        width: 100%;
        margin-bottom: 10px;
        max-height: 150px;
        min-height: 150px;
        display: flex;
      }
  
      .card-title {
        font-size: 18px;
        font-weight: bold;
        font-family: 'Helvetica';
        margin-bottom: 10px;
      }
  
      .card-info {
        padding: 0 10px;
        display: flex;
        flex-direction: column;
        flex: 1 0;
        justify-content: flex-end;
    
      }
  
      .card-desc {
        font-family: 'Helvetica';
        font-size: 14px;
      }
  
      .card-cta {
        text-decoration: none;
        display: block;
        text-align: right;
        font-family: 'Helvetica';
        font-size: 12px;
        border-top: solid 1px black;
        padding-top: 10px;
        margin-top: 30px;
      }
    }
  }
  
  }


@media (min-width: 992px) { 
  .footer-container {
    display: flex;
    align-items: center;
    justify-content: center;

    .footer-list {
      height: 33px;
      min-width: 800px;
      display: flex;
      justify-content: space-between;

      a:hover {
        color: red;
      }
    }
  }
}


@media (max-width:991px){
  body {
    background: lightcoral;
  }

  .footer-list {
  
    p {
      text-decoration: none;
      font-size: 15px;
      color: white;
      text-align: center;
      padding-top: 5px;
    }

  }

}


@media (min-width:500px){
  body {
    background: lightcoral;
  }
}




